Skip to content
Navigation

Create entity qrcodes

POST
https://api.sureshake.com/v2/entities/{entityId}/qr-codes

Path parameters

  • entityId
    string
    required
    format: uuid

Request body JSON required

  • qrType
    profile
    or
    verification
    or
    contact
    or
    claim
    or
    document
    required
  • accessLevel
    optional
    open
    or
    restricted
    or
    authenticated
    default: "open"
  • expiresIn
    optional
    integer
    maximum: 365 · minimum: 1
  • targetUrl
    optional
    string
    format: uri
  • description
    optional
    string

Returns

200

Default Response

JSON
  • data
    object
    required
    • id
      string
      required
      format: uuid
    • entityId
      string
      required
      format: uuid
    • qrType
      profile
      or
      verification
      or
      contact
      or
      claim
      or
      document
      required
    • uniqueCode
      string
      required
    • qrImageUrl
      string
      or null
      required
    • targetUrl
      string
      required
    • accessLevel
      open
      or
      restricted
      or
      authenticated
      required
    • scanCount
      integer
      or null
      required
    • lastScannedAt
      string
      or null
      required
      format: date-time
    • expiresAt
      string
      or null
      required
      format: date-time
    • isActive
      boolean
      or null
      required
    • createdBy
      string
      or null
      required
    • createdAt
      string
      required
      format: date-time
    • updatedAt
      string
      required
      format: date-time
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

503

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close